Package com.avaya.clientservices.contact

## Enum ContactSearchLocationType

- java.lang.Object
- - java.lang.Enum<ContactSearchLocationType>
  - - com.avaya.clientservices.contact.ContactSearchLocationType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ContactSearchLocationType>`

      public enum ContactSearchLocationType
      extends java.lang.Enum<ContactSearchLocationType>

  Type of source used for `ContactService.searchContacts(DataRetrievalWatcher, String, ContactSearchScopeType, ContactSearchLocationType, int, int)` method.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALL` | Search in both local and network scopes.
    `LOCAL_CACHE` | Search only user's local contacts.
    `NETWORK` | Search for directory contacts.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ContactSearchLocationType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ContactSearchLocationType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOCAL_CACHE

          public static final ContactSearchLocationType LOCAL_CACHE

      Search only user's local contacts. It is important to note that private contacts from an enterprise source are included here.

    - #### NETWORK

          public static final ContactSearchLocationType NETWORK

      Search for directory contacts. Only directory contacts will be returned using this scope - private enterprise contacts are not included.

    - #### ALL

          public static final ContactSearchLocationType ALL

      Search in both local and network scopes.

  - ### Method Detail

    - #### values

          public static ContactSearchLocationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ContactSearchLocationType c : ContactSearchLocationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ContactSearchLocationType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null